# \Thelia\TypeTypeCollection

## Summary

Methods
Properties
Constants
__construct()
isEmpty()
addType()
getCount()
current()
next()
key()
valid()
rewind()
isValid()
getFormattedValue()
getKey()
No public properties found
No constants found
No protected methods found
$types
N/A
No private methods found
$position
N/A

File
  Type/TypeCollection.php
Package
  \Default
Class hierarchy
  \Thelia\Type\TypeCollection

## Tags

author | Etienne Roudeix eroudeix@openstudio.fr

## Properties

### $types

    $types

#

## Tags

None found

### $position

    $position

#

## Tags

None found

## Methods

### __construct()

    __construct()

#

## Tags

None found

### isEmpty()

    isEmpty()

#

## Tags

None found

### addType()

    addType(\Thelia\Type\TypeInterface $type) : \Thelia\Type\TypeCollection

#### Parameters

\Thelia\Type\TypeInterface | $type |

#### Returns

\Thelia\Type\TypeCollection

#

## Tags

None found

### getCount()

    getCount()

#

## Tags

None found

### current()

    current() : \Thelia\Type\TypeInterface

(PHP 5 &gt;= 5.0.0)<br/> Return the current element

#### Returns

\Thelia\Type\TypeInterface

#

See also
  http://php.net/manual/en/iterator.current.php

## Tags

None found

### next()

    next() : void

(PHP 5 &gt;= 5.0.0)<br/> Move forward to next element

#

See also
  http://php.net/manual/en/iterator.next.php

## Tags

None found

### key()

    key() : mixed

(PHP 5 &gt;= 5.0.0)<br/> Return the key of the current element

#### Returns

mixed —

scalar on success, or null on failure.

#

See also
  http://php.net/manual/en/iterator.key.php

## Tags

None found

### valid()

    valid() : boolean

(PHP 5 &gt;= 5.0.0)<br/> Checks if current position is valid

#### Returns

boolean —

The return value will be casted to boolean and then evaluated. Returns true on success or false on failure.

#

See also
  http://php.net/manual/en/iterator.valid.php

## Tags

None found

### rewind()

    rewind() : void

(PHP 5 &gt;= 5.0.0)<br/> Rewind the Iterator to the first element

#

See also
  http://php.net/manual/en/iterator.rewind.php

## Tags

None found

### isValid()

    isValid(mixed $value) : bool

#### Parameters

mixed | $value |

#### Returns

bool

#

## Tags

None found

### getFormattedValue()

    getFormattedValue( $value)

#### Parameters

| $value |

#

## Tags

None found

### getKey()

    getKey( $key)

#### Parameters

| $key |

#

## Tags

None found

### TypeCollection.php